# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               giada
Version:            0.4.10
Release:            1.53
Summary:            Sampler Audio Tool
# http://www.monocasual.com/giada/download.php?dist=source&file=giada_%{version}_src.tar.gz
Source:             giada_%{version}_src.tar.gz
Source1:            giada.desktop
Patch2:             giada-add_missing_link_to_Xinerama.patch
Patch3:             giada-remove_build_timestamps.patch
URL:                http://www.monocasual.com/giada/
Group:              Productivity/Multimedia/Sound/Players
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libsndfile-devel
BuildRequires:      rtaudio-devel
BuildRequires:      jack-devel
BuildRequires:      alsa-devel
BuildRequires:      fltk-devel xorg-x11-devel
BuildRequires:      gcc-c++ make pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
Giada is a minimal, hardcore audio tool for DJs and live performers. Load or
record up to 32 samples, choose to play them in single mode (drum machine) or
loop mode (sequencer), and start the show with your computer keyboard as a
controller.

%prep
%setup -q -c "%{name}-%{version}"
%patch2
%patch3

find . -type f -exec %__chmod 0644 {} \;
%__chmod 0755 configure depcomp install-sh missing

%build
%configure --target=linux
%__make %{?_smp_mflags}

%install
%makeinstall

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo Audio Player

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/giada
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue May 29 2012 pascal.bleser@opensuse.org
- update to 0.4.10:
  - Ability to shift up an down VST plugins
  - Enhanced patch/conf architecture
  - Ability to edit a sample while playing
  - Mutex controls in VST processing
  - Lots of security issues fixed while changing pitch dynamically
  - Enhanced sub-window system
  - Several minor bugs fixed
- changes from 0.4.9:
  - No more mandatory inputs
  - Pitch value properly stored inside the patch
  - Several small VST host improvements
  - Enhanced window management
  - Ability to browse files while playing with main GUI (non-modal browser)
  - Improved error checking in KernelAudio
  - Wrong style for lower scrollbar in Browser (fixed)
  - Fixed compilation on 64 bit systems
  - Samplerate no longer hardcoded, auto-detected with JACK
  - Minor internal improvements and bugfixing
* Sat Apr 21 2012 pascal.bleser@opensuse.org
- initial version (0.4.8)
